<div class = "p-grid p-jc-center action-button-row">

  <div class = "p-col-6">
    <div class = "rounded-label-info">
      {{ ychAuctionDto.auctionKind }}
    </div>
  </div>
  <div class = "p-col-6" *ngIf = "!ychAuctionDto.auctionIsOver">
    <div class = "rounded-label-info">
      Bidding
    </div>
  </div>
  <div class = "p-col-6" *ngIf = "ychAuctionDto.auctionIsOver">
    <div class = "rounded-label-danger">
      Bidding is over
    </div>
  </div>

  <div class = "action-button-row">
    <button (click) = "onNavigateToArtistVisitCard()"
            [label] = "'Artist: ' + ychAuctionDto?.artistName"
            class = "p-button-raised p-button-secondary info-button"
            pButton
            pRipple
            type = "button"
    ></button>
  </div>
  <div class = "action-button-row">
    <ng-container *ngIf = "ychAuctionDto.isMaxBid">
      <button
        (click) = "autoBuyEmit()"
        [disabled] = "ychAuctionDto.auctionIsOver"
        class = "p-button-raised p-button-success info-button"
        icon = "pi pi-circle-on"
        label = "Auto buy - {{ychAuctionDto.maxBid}}"
        pButton
        pRipple
        type = "button"
      ></button>
    </ng-container>
  </div>
  <div class = "action-button-row">
    <app-fallow-button
    [artistName]="ychAuctionDto.artistName"
    [isInFollowList]="ychAuctionDto.isUserInArtistFollowList"
    ></app-fallow-button>
  </div>

  <i
    *ngIf = "ychAuctionDto.isOwnerChooseTime"
    class = "pi pi-info-circle"
    pTooltip = "Bidding is over! Auction owner have to choose a winner until one day."
    style = "font-size: 5rem;
          margin-top: 10px;
          color: red"
    tooltipPosition = "top"
  ></i>
</div>
